You will need a broadband or fibre internet connection - dial up will not work. You’ll find a complete list of requirements below.

Windows:

We support PC’s running Windows 7, Windows 8.1 , Windows 10, and Windows 11. Earlier versions are not (officially) supported.

Google Chrome v105 or above

Microsoft Edge v105 or above

Firefox v104 or above

Opera v90 or above

Internet Explorer is no longer supported.

We recommend using the latest version of your browser

MacOS:

We support Macs running OSX 10.12+. Earlier versions are not (officially) supported.

Google Chrome v105 or above

Latest Safari version for your device

Firefox v104 or above

Opera v90 or above

We recommend using the latest version of your browser.

Android:

We support Android devices running Android 6.0 or later.

Google Chrome v105 or above

Inbuilt browser

We recommend using the latest version of your browser.

iOS:

We support iOS 11.0 or later.

Latest Safari version for your device

Google Chrome v105 or above

Microsoft Edge v100 or above

We recommend using the latest version of your browser.

iPadOS

We support iPadOS 11.0 or later.

Safari

Google Chrome v105 or above

Microsoft Edge v100 or above

Apple TV:

We support tvOS 12.0 or later.

We support Airplay v4.0 or later to Apple TV

Amazon TV:

We support Fire TV Gen 1 - 3, Fire TV 4K and Fire TV Lite

Android TV:

This has the same requirement as the Android handheld app.

Linux is not supported.

Below is an up to date version of the supported device and browser matrix.

Chromecast

We support Chromecasting content from Google Chrome and Microsoft Edge web browsers, as well as from our apps.

First generation Chromecasts are not supported due to a bug they have decoding DRM.

Smart TV's

For a stable experience, we recommend upgrading to the latest version of AmazonTV, AndroidTV or AppleTV depending on your device.

Note: These are up to date as of September 20th 2022

Did this answer your question?